body {
  font-size: 18px;
  font-family: "Source Code Pro",monospace,sans-serif;
  background-color: black;
  color: limegreen;
  text-shadow: 0 0 3px rgba(50, 205, 50, 0.75), 0 0 6px rgba(50, 205, 50, 0.75);
}

main {
  background-color: black;
}

img {
  max-width: 80%;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

code {
  background-color: #333;
  text-shadow: none;
  padding: 0 4px;
  word-wrap: break-word;
  border-radius: 2px;
}

pre {
  background-color: #333;
  padding: 6px;
  display: block;
  overflow-x: auto;
  border-radius: 4px;
  
  code {
    padding: 0;
  }
}

.content {
  text-align: left;
  padding: 20px;
  width: 100%;
  height: auto;
  max-width: 768px;
  max-height: 480px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.help {
  text-align: left;
  padding: 20px 20px 60px;
  /*width: 100%;*/
  /*height: 100%;*/
  max-width: 768px;
  /*position: absolute;*/
  /*left: 50%;*/
  /*transform: translate(-50%, 0);*/
  display: block;
  margin-left: auto;
  margin-right: auto;
}

::selection {
  color: white;
  background: deeppink;
}

::-moz-selection {
  color: white;
  background: deeppink;
}

.text-center {
  text-align: center;
  align-content: center;
}

.center {
  position: relative;
  left: 50%;
  transform: translate(-50%, 0%);
}

.left {
  position: absolute;
  left: 12px;
}

.right {
  position: absolute;
  right: 12px;
}

.top {
  position: absolute;
  top: 0;
}

.bottom {
  position: absolute;
  bottom: 0;
}

.tight {
  width: fit-content;
}

.text-right {
  text-align: right;
}

.text-left {
  text-align: left;
}

.large {
  font-size: 1.2em;
}

input[type=text] {
  outline: none;
  background-color: black;
  border: 0;
  border-bottom: 2px;
  border-bottom-style: solid;
  border-bottom-color: limegreen;
  color: limegreen;
  font-size: 18px;
  font-family: "Source Code Pro",monospace,sans-serif;
  max-width: 160px;
  width: auto;
}

select {
  background-color: transparent;
  color: limegreen;
  border: 0;
  border-bottom: 2px;
  border-bottom-style: solid;
  border-bottom-color: limegreen;
  width: 160px;
  font-size: 18px;
  font-family: "Source Code Pro",monospace,sans-serif;
  text-align: center;
}

.pad-vert {
  padding-top: 10px;
  padding-bottom: 10px;
}

.pad-small {
  padding: 5px;
}

.pad-medium {
  padding: 10px;
}

.pad-large {
  padding: 20px;
}

a {
  color: limegreen;
}

a:hover {
  color: limegreen;
}

a:active {
  color: limegreen;
}

a:visited {
  color: limegreen;
}

table {
  border-spacing: 0;
}

tr {
  border: 0;
  margin: 0;
  padding: 0;
}

td {
  border: 1px solid black;
  padding: 0;
  margin: 0;
}

.square {
  width: 20px;
  height: 20px;
  font-size: 0.8em;
}

.wall-north {
  border-top: 1px solid white;
}

.wall-east {
  border-right: 1px solid white;
}

.wall-south {
  border-bottom: 1px solid white;
}

.wall-west {
  border-left: 1px solid white;
}

.in-solution {
  background-color: limegreen;
}

input[type=button] {
  background-color: transparent;
  border: 0;
  font-size: 18px;
}

input[type=button]:hover {
  border: 1px solid limegreen;
}

.arrow {
  color: limegreen;
  width: 40px;
  height: 40px;
}

.arrow-disabled {
  color: gray;
  width: 40px;
  height: 40px;
}

.underline {
  text-underline: limegreen;
}

.job {
  font-family: "Lucida Grande", Helvetica, Arial, sans-serif;
  background-color: white;
  border-radius: 0.8rem;
  text-shadow: none;
  max-width: 512px;
  width: 100%;
  height: 168px;
  padding: 18px 12px 0;
}

.job-info {
  background-color: #f8fafd;
  border-radius: 0.8rem;
  padding: 0 6px;
}

.error {
  text-decoration: none;
  color: red;
  text-shadow: 0 0 3px rgba(255, 0, 0, 0.75), 0 0 6px rgba(255, 0, 0, 0.75);
}

.node-title {
  color: #0a66c2;
  font-weight: bold;
  margin: 0;
  padding: 0 6px 18px;
}

.node-name {
  color: rgba(0, 0, 0, 0.9);
  margin: 0;
  padding-top: 6px;
  padding-bottom: 18px;
}

.node-description {
  color: rgba(0, 0, 0, 0.6);
  font-size: 0.8em;
  margin: 0;
  padding-bottom: 6px;
}

.node-id {
  color: rgba(0, 0, 0, 0.4);
  font-size: 0.4em;
}
